Bug 44808 - patch kit for kdebase-cvs20010616
patch kit for kdebase-cvs20010616
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-06-17 16:16 EDT by j. alan eldridge
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-17 16:29:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch kit for building kdebase as of 20010616 (19.18 KB, application/octet-stream)
2001-06-17 16:17 EDT, j. alan eldridge
no flags Details

  None (edit)
Description j. alan eldridge 2001-06-17 16:16:05 EDT
Description of Problem:

There've been a lot of changes in kdebase, including some small but 
really pesky ones in kdm (introduction of /usr/share/config/kdm directory 
with Xsession, etc.).

The attached tar.gz file contains the modified patch files and the new 
spec file needed to build KDE at this point in time. These patches will 
probably continue to be useful when beta/release versions come out.
Comment 1 j. alan eldridge 2001-06-17 16:17:24 EDT
Created attachment 21207 [details]
patch kit for building kdebase as of 20010616
Comment 2 j. alan eldridge 2001-06-17 16:29:42 EDT
There are two caveats when building kdebase now.

1. You have to have the current (CVS) kdelibs installed or kdebase won't 
build. There have been header file and library changes that must be seen by 
the build.

2. If you build kdebase with the 2.2alpha2 kdebase installed, you will get two 
false dependencies in the binary RPM: libkate.so and libkwindefault.so. This 
is an artifact that I couldn't easily track down, and it's really 
inconsequential. Just install the new kdebase and build again if it bugs you.

Oh and a note on KDM:

The kdebase-2.2-20010615-redhat.patch file fixes up all the stuff that RH did 
in kdmrc, and adds variables to point to the Xsession, Xsetup, etc stuff 
that's in /etc/X11/xdm. The new files are still installed in 
/usr/share/config/kdm, but for the most part are not referenced. See the 
comments in kdebase/kdm/kfrontend/config/kdmrc.in for specifics.
Comment 3 Bernhard Rosenkraenzer 2001-06-26 09:36:01 EDT
Thanks - Resolving "deferred" since we're going back to 2.1.2 for the next 
release (2.2 doesn't fit the timeframe :( ).

Note You need to log in before you can comment on or make changes to this bug.